<?php




namespace ln\jobs;

use app\common\repositories\store\order\StoreOrderRepository;
use ln\interfaces\JobInterface;
use think\facade\Log;

class BatchDeliveryJob implements JobInterface
{

    public function fire($job, $data)
    {
        try{
            app()->make(StoreOrderRepository::class)->batchDelivery($data['mer_id'],$data['data']);
            $job->delete();
        }catch (\Exception $exception){
            Log::info(var_export($exception, 1));
        }
    }

    public function failed($data)
    {
        // TODO: Implement failed() method.
    }
}
